Deprecation warnings in OAuth #276

Closed
mworrell opened this Issue Dec 14, 2011 · 0 comments

Comments

Projects
None yet
1 participant
Owner

mworrell commented Dec 14, 2011

We have a warning for the now released R15B in OAuth client code:

Recompile: src/oauth_rsa_sha1
src/oauth_rsa_sha1.erl:9: Warning: public_key:pem_to_der/1: deprecated (will be removed in R15A); use file:read_file/1 and public_key:pem_decode/1
src/oauth_rsa_sha1.erl:10: Warning: public_key:decode_private_key/1 is deprecated and will be removed in R15A; use public_key:pem_entry_decode/1
src/oauth_rsa_sha1.erl:22: Warning: public_key:pem_to_der/1: deprecated (will be removed in R15A); use file:read_file/1 and public_key:pem_decode/1

Is there a new release or should we patch this module?

@mworrell mworrell closed this Apr 22, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment